/*
 * Copyright 2013  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

class CLiveBoxImpl : public CLiveBox
{
public:
	CLiveBoxImpl(void);
	virtual ~CLiveBoxImpl(void);

	int Create(const char *filename, const char *content, const char *cluster, const char *category);
	int Destroy(void);

	int NeedToCreate(void);
	int UpdateContent(void);

	int Clicked(const char *event, double timestamp, double x, double y);
	int ContentEvent(const char *emission, const char *source, struct event_info *info);

	int Resize(int type);
	int ChangeGroup(const char *cluster, const char *category);
	int GetInfo(int *w, int *h, double *priority, char **content, char **title);
	char *PinUp(int on_pin);
	const char *Filename(void);
	int IsPinnedUp(void);
	int SystemEvent(int event);
};

// End of a file
